#	Calculate U.S. first class postage required for a given weight in ounces.
#	Copyright (c) 1991 by Hamilton Laboratories.  All rights reserved.

proc postage(ounces)
	local cost
	#  Current rate is 29 cents for the first ounce + 23 cents for each
	#		additional ounce or fraction thereof.
	@ ounces = ceil(ounces)
	@ cost = .29 + .23*(ounces - 1)
	return printf('$%.2f', cost)
end

postage $argv

